# Interface AbstractPage

interface AbstractPage {
connected_objects: () => ConnectedObjects;
id?: number;
layout: Layout;
min_role: number;
name: string;
getTags(): Promise<AbstractTag[]>;
}

#### Implemented by

- Page

- Defined in model-abstracts/abstract_page.ts:6

##### Index

### Properties

connected_objects
id?
layout
min_role
name

### Methods

getTags

## Properties

### connected_objects

connected_objects: () => ConnectedObjects

- Defined in model-abstracts/abstract_page.ts:11

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_page.ts:7

### layout

layout: Layout

- Defined in model-abstracts/abstract_page.ts:9

### min_role

min_role: number

- Defined in model-abstracts/abstract_page.ts:10

### name

name: string

- Defined in model-abstracts/abstract_page.ts:8

## Methods

### getTags

- getTags(): Promise<AbstractTag[]>

  #### Returns Promise<AbstractTag[]>

  - Defined in model-abstracts/abstract_page.ts:12